Bug 645752 - update to new version - tracker bug for missing deps
update to new version - tracker bug for missing deps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: transifex (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On: 645759 645760 645761 645762 645764
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-22 07:39 EDT by Domingo Becker
Modified: 2011-03-10 15:50 EST (History)
11 users (show)

See Also:
Fixed In Version: transifex-0.9.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-11 12:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2010-10-22 07:39:50 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/transifex.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/transifex-0.9.0-2.fc13.src.rpm
Description: Transifex is a web-system that facilitates the process of
submitting translations in remote version control systems (VCS).
This update is a correction to the dependencies required by the original packagen in koji system.
Comment 1 Thomas Spura 2010-10-22 08:12:32 EDT
(In reply to comment #0)
> This update is a correction to the dependencies required by the original
> packagen in koji system.

I'm confused...
You made changes to the original transifex package and you submit that now as a new package?

(CC'ing existing maintainers of transifex)
Comment 2 Domingo Becker 2010-10-22 08:31:27 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > This update is a correction to the dependencies required by the original
> > packagen in koji system.
> 
> I'm confused...
> You made changes to the original transifex package and you submit that now as a
> new package?
> 

Sorry for the confusion.
It is only a change to the transifex.spec file to add some missing dependencies, in order to make the package work out of the box for a translate.fedoraproject.org upgrade.
More info about this may be found in fedora-infrastructure ticket # 2389 [1].

[1] https://fedorahosted.org/fedora-infrastructure/ticket/2389

Thanks.
Comment 3 Thomas Spura 2010-10-22 08:50:04 EDT
Aah, you need to be packager to be able to co-maintain transifex.

So you are requesting changes from the current maintainers and you don't want a new package of transifex here in fedora...

-> reassigning to transifex

I'm making this a tracking bug, so you can block this bug with all the dependencies.

According to your ticket, it's:
1. django-ajax-selects-1.1.4 Relevant files: django-ajax-selects.spec, its tarball and it's src.rpm file are all at [1].
2. django-threadedcomments-0.5.3 Relevant files: django-threadedcomments.spec, its tarball and it's src.rpm file are all at [1].
3. django-staticfiles-0.3.2 Relevant files: django-threadedcomments.spec, its tarball and it's src.rpm file are all at [1].
4. django-addons-0.6.1 Relevant files: django-threadedcomments.spec, its zip file and it's src.rpm file are all at [1].

In #645759 you basically request an update of Django-south.

You should block FE-NEEDSPONSOR in all the review requests from above (packages, which are not yet in fedora), so a sponsor can find you and sponsor you.
(I'm no sponsor yet...)

See:
https://fedoraproject.org/wiki/Package_Review_Process
https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 4 Toshio Ernie Kuratomi 2010-10-22 13:32:48 EDT
Since we need these for infrastructure and the translation team and I've met Domingo, I'm going to sponsor him now.

Domingo, I've talked with gomix and he's willing to review at least some of your packages and be your primary mentor as a Fedora Packager.  I'm available to answer questions as well -- abadger1999 on irc and toshio@fp.o.
Comment 5 Guillermo Gómez 2010-10-22 13:41:20 EDT
Im on board for this task.
Comment 6 Domingo Becker 2010-11-22 10:52:47 EST
Bug #645759: it is complete, the package reached the stable repos.

Bug #645760: today I pushed the packages to updates-testing repos.

Bug #645761, #645762 and #645764: I pushed the packages to updates-testing repos some days ago.

Is it possible to have this package pushed to rawhide (f15) so I may continue testing all packages together from the repo?
Comment 7 Domingo Becker 2010-11-29 13:35:43 EST
New dependency detected.
Fixed some rpmlint warnings.

Spec URL: http://beckerde.fedorapeople.org/transifex/transifex.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/transifex-0.9.0-3.fc13.src.rpm
Comment 9 Fedora Update System 2010-12-01 11:35:06 EST
transifex-0.9.0-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/transifex-0.9.0-4.fc13
Comment 10 Fedora Update System 2010-12-01 16:56:48 EST
transifex-0.9.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transifex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/transifex-0.9.0-4.fc13
Comment 11 Fedora Update System 2010-12-07 08:20:43 EST
transifex-0.9.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/transifex-0.9.0-4.el5
Comment 12 Fedora Update System 2010-12-20 16:59:09 EST
transifex-0.9.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-12-22 12:30:51 EST
transifex-0.9.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Domingo Becker 2010-12-27 10:38:57 EST
Spec URL: http://beckerde.fedorapeople.org/transifex/transifex.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/transifex-0.9.1-1.fc13.src.rpm

The tarball for 0.9.0 was missing the media/css and media/images.
Comment 15 Fedora Update System 2010-12-27 11:08:15 EST
transifex-0.9.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/transifex-0.9.1-1.el5
Comment 16 Fedora Update System 2010-12-27 11:20:38 EST
transifex-0.9.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/transifex-0.9.1-1.fc14
Comment 17 Fedora Update System 2010-12-27 11:34:27 EST
transifex-0.9.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/transifex-0.9.1-1.fc13
Comment 18 Fedora Update System 2010-12-27 13:01:16 EST
transifex-0.9.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transifex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/transifex-0.9.1-1.el5
Comment 19 Fedora Update System 2011-01-11 12:00:17 EST
transifex-0.9.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2011-03-10 15:47:51 EST
transifex-0.9.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2011-03-10 15:50:35 EST
transifex-0.9.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.